PROGRAM LightPal;
{
        Simply creates a palette that can be used for creating
        light-sprites

        0       = transparant color

        1-32    = shades in the colormap

}

TYPE Tpal       = record
       red      : byte;
       green    : byte;
       blue     : byte;
     end;

VAR outfile        : file;
    i,r,g,b        : byte;

    pal            : array[0..255] of TPal;

BEGIN
  pal[0].red:=0;
  pal[0].green:=0;
  pal[0].blue:=0;

  r:=8;  g:=8;  b:=8;
  for i:=1 to 32 do begin
      pal[i].red:=r;
      pal[i].green:=g;
      pal[i].blue:=b;

      inc(r,1);
      inc(g,1);
      inc(b,1);
  end;
  for i:=33 to 255 do begin
      pal[i].red:=0;
      pal[i].green:=0;
      pal[i].blue:=0;
  end;

  assign(outfile,'light.col');
   rewrite(outfile,1);

   for i:=0 to 255 do begin
       blockwrite(outfile,pal[i],3);
   end;
  close(outfile);
END.