{
        FX Creator v4
        Coding by P.Bestebroer
        Copyright 1996,1997 by Just4Fun productions

        This program will create a base source code for using with the
        superFX engine.
        The idea is very simple, yet effective!

        E-Mail   : rpb@zeelandnet.nl
        Internet : http://people.zeelandnet.nl/rpb/pindex.html

        Mail     : Just4Fun Productions
                   A.Edenlaan 28
                   4463 JC GOES
                   Holland


        Revision History

        0.4 - BUG DESTRUCTION! and some updates put in
        0.3 - Mega Enhanced for SFX v1.8
        0.2 - Enhanced for SFX v1.7
        0.1 - First release.

}
{$R-} {No range checking}
{$S-} {No stack overflow checking}
{$I-} {No IO checking}
{$Q-} {No overflow checking}
{$G+} {Enable 286 instructions}

USES CRT,DOS;

CONST Version = $004;

VAR  Outfile : text;
     zin     : string;

     progname : string;
     dfpname  : string;
     copyname : string;
     email    : string;
     http     : string;


CONST player   : boolean = false;
      plat     : boolean = false;
{}
{
        Ask for input of user

        Expects: Question to ask
        Returns: the answer
}
FUNCTION Ask(quest:string;def:string):string;
VAR answ : string;
BEGIN
 write(quest+'['+def+']');
 readln(answ);
 if answ='' then ask:=def else ask:=answ;
END;
{}
BEGIN
 {=-=-=-=-=-=-= Show the title =-=-=-=-=-=-=-=}
 textcolor(7); textbackground(0); clrscr;
 write('FX Creator ');
   write(version div 256,'.',version and $ff);
   writeln('  Copyright 1996,1997 by Just4Fun Productions');
 writeln('');
 {=-=-=-=-=-=-= See for defaults values =-=-=-=-=-=}
 assign(outfile,'creator.def');
  {$I-}
    reset(outfile);
  {$I+}
 if ioresult=0 then begin
      readln(outfile,progname);
      readln(outfile,dfpname);
      readln(outfile,copyname);
      readln(outfile,email);
      readln(outfile,http);
      close(outfile);
 end else begin
      progname:='';
      dfpname:='';
      copyname:='';
      email:='';
      http:='';
 end;

 progname:=ask('Program name        :',progname);
 dfpname :=ask('DFP file to use     :',dfpname);
 copyname:=ask('Copyright by        :',copyname);
 email   :=ask('E-Mail adress       :',email);
 http    :=ask('Http adress         :',http);

 zin     :=ask('Create Player Procs :','Y/N');
 if (zin ='Y') or (zin ='y') then begin
    player:=true;
    zin  :=ask('Platform player     :','Y/N');
    if (zin='Y') or (zin='y') then plat:=true;
 end;


 {=-=-=-=-= Write the program file =-=-=-=-=-=-=-=}
 assign(outfile,progname+'.pas'); rewrite(outfile);
 writeln(outfile,'PROGRAM '+progname+';');

 writeln(outfile,'{');
 writeln(outfile,'          '+progname);
 writeln(outfile,'          Copyright by '+copyname);
 writeln(outfile,'          ');
 if email<>'' then writeln(outfile,'          E-Mail   : '+email);
 if http<>'' then writeln(outfile,'          Internet : '+http);
 writeln(outfile,' ');
 writeln(outfile,'          Revision history');
 writeln(outfile,'          ');
 writeln(outfile,'          0.1 - First release');
 writeln(outfile,'}');
 writeln(outfile,'{}');
 writeln(outfile,'');
 writeln(outfile,'{$R-} {No range checking}');
 writeln(outfile,'{$S-} {No stack overflow checking}');
 writeln(outfile,'{$I-} {No IO checking}');
 writeln(outfile,'{$Q-} {No overflow checking}');
 writeln(outfile,'{$G+} {Enable 286 instructions}');
 writeln(outfile,'{$F+} {Force FAR calls}');
 writeln(outfile,' ');

 writeln(outfile,'{$IFDEF MSDOS}');
 writeln(outfile,'  {$M 16384,0,5000}     { Minimum of HEAP memory needed }');
 writeln(outfile,'{$ELSE}');
 writeln(outfile,'  {$M 65520,0,655360}   { Maximum of HEAP memory needed }');
 writeln(outfile,'{$ENDIF}');
 writeln(outfile,'{}');
 writeln(outfile,' ');

 {=-=-=-=- Include player code? -=-=-=-=-=-=-=}
 if player then begin
    if Plat then
       writeln(outfile,'USES CRT,DOS,SUPERFX,SFX_VARS,PLATPLAY;')
    else
       writeln(outfile,'USES CRT,DOS,SUPERFX,SFX_VARS,TOPPLAY;');
 end else writeln(outfile,'USES CRT,DOS,SUPERFX,SFX_VARS;');

 writeln(outfile,' ');
 writeln(outfile,'{}');
 writeln(outfile,'CONST GameVersion = $001;            { The version of the game }');
 writeln(outfile,'      QuitGame    : boolean = false; { for quiting! }');
 writeln(outfile,'{');
 writeln(outfile,'');
 writeln(outfile,'        User_Defined _BINDING procedures');
 writeln(outfile,'');
 writeln(outfile,'{');
 writeln(outfile,'        This will handle special functions "binded" to certain keys...');
 writeln(outfile,'        Automaticly called by the SuperFX engine');
 writeln(outfile,'{}');
 writeln(outfile,'PROCEDURE _MyDoKeys(KeyValue:byte);');
 writeln(outfile,'VAR  s1 : string[5];');
 writeln(outfile,'BEGIN');
 writeln(outfile,'   Case FunctionKeys[KeyValue] of');
 writeln(outfile,'     100 : begin               { Insert Procedure Here }');
 writeln(outfile,'     END;');
 writeln(outfile,'   END;');
 writeln(outfile,'END;');
 writeln(outfile,'{}');
 writeln(outfile,'{');
 writeln(outfile,'        Bind a key to our own new procedure / function...');
 writeln(outfile,'        Automaticly called by the SuperFX engine');
 writeln(outfile,'}');
 writeln(outfile,'PROCEDURE _MyBind(num:Byte;command:String);');
 writeln(outfile,'BEGIN');
 writeln(outfile,'  if command=''INSERTCOMMANDHERE'' then');
 writeln(outfile,'     FunctionKeys[num]:=100;     { number of the new function}');
 writeln(outfile,'END;');
 writeln(outfile,'{');
 writeln(outfile,'        Some home-made GCode procedures....');
 writeln(outfile,'       Automaticly called by the SuperFX engine');
 writeln(outfile,'{}');
 writeln(outfile,'FUNCTION _MyGcode(subComm:string;Variable:String):Boolean;');
 writeln(outfile,'CONST MyfunctionCount = 1;');
 writeln(outfile,'      MyFunc          : array [1..MyFunctionCount] of string[16] =');
 writeln(outfile,'      (''QUIT'');');
 writeln(outfile,'');
 writeln(outfile,'VAR   i        : byte;');
 writeln(outfile,'      CommCode : byte;');
 writeln(outfile,'      s1,s2,s3 : string;');
 writeln(outfile,'      v1,v2,v3 : longint;');
 writeln(outfile,'BEGIN');
 writeln(outfile,' if SearchEnd then exit;');
 writeln(outfile,'');
 writeln(outfile,' CommCode:=0;');
 writeln(outfile,' _MyGcode:=false;');
 writeln(outfile,'');
 writeln(outfile,' for i:=1 to MyFunctionCount do begin');
 writeln(outfile,'     if MyFunc[i]=subComm then begin');
 writeln(outfile,'        CommCode:=i;');
 writeln(outfile,'        _MyGcode:=true;');
 writeln(outfile,'     end;');
 writeln(outfile,' end;');
 writeln(outfile,' if CommCode=0 then exit;      { Command not found... }');
 writeln(outfile,'');
 writeln(outfile,' CASE CommCode of');
 writeln(outfile,'    1 : BEGIN      { QUIT command }');
 writeln(outfile,'          halt_Error:=''Users Quits program'';');
 writeln(outfile,'          halt_proc:=''Quit request'';');
 writeln(outfile,'    END;');
 writeln(outfile,' END; { End CASE statement }');
 writeln(outfile,'END;');
 writeln(outfile,'{}');
 writeln(outfile,'BEGIN');
 writeln(outfile,'{ LET''S ADD SOME "GCODE" TO THE SUPERFX ENGINE }');
 writeln(outfile,'  _UserDoKeys:=_MyDoKeys;       { my own DoKeys procedure }');
 writeln(outfile,'  _UserBind:=_MyBind;           { my own Binding procedure }');
 writeln(outfile,'  _UserFunctions:=_MyGcode;     { My own function procedures }');
 writeln(outfile,'{ END GCODE }');

 writeln(outfile,' _ParseFile('''+copy(progname,1,8)+'.sys'');');
 writeln(outfile,'');
 writeln(outfile,' writeln(''press a key'');');
 writeln(outfile,' repeat until anypressed;');
 writeln(outfile,' {=-=-=-=-= Now initialise the VGA mode =-=-=-=-=-=}');
 writeln(outfile,' InitVGAmode;');
 writeln(outfile,'');
 writeln(outfile,' {=-=-=-=-=     Main loop start here    =-=-=-=-=-=}');
 writeln(outfile,' REPEAT ');
 writeln(outfile,'');
 writeln(outfile,'   CASE ControlTYPE of');
 writeln(outfile,'    1 : Player.Movement;');
 writeln(outfile,'    2 : BEGIN              ');
 writeln(outfile,'           GetJoy;         ');
 writeln(outfile,'           Player.Movement;');
 writeln(outfile,'    END;                   ');
 writeln(outfile,'   END;                    ');
 writeln(outfile,'   {=-=-=-=-=-= Check on shooting -=-=-=-=-=-=-=-=-=-=-=-=-=-=-} ');
 writeln(outfile,'   IF Player.Shooting then begin ');
 writeln(outfile,'         { INSERT THE CODE FOR ADDING A NEW BULLET HERE }');
 writeln(outfile,'   END;');

 writeln(outfile,'    UpdateMap;  { update the background map }');
 writeln(outfile,'');
 writeln(outfile,'    ShowBitmap  { show the virtual page }');
 writeln(outfile,'');
 writeln(outfile,' UNTIL (QuitGame) or (key[esckey]); ');
 writeln(outfile,' ');
 writeln(outfile,'END.');
 close(outfile);
 writeln('File: ['+progname+'.pas] created');

 {=-=-=-=-=-=  Create the autoexec file  =-=-=-=-=-=-=}
 assign(outfile,progname+'.sys');
   rewrite(outfile);
 writeln(outfile,'// '+progname+' system file');
 writeln(outfile,'// copyright by '+copyname);
 writeln(outfile,'');
 writeln(outfile,'//');
 writeln(outfile,'// See if HELP is requested');
 writeln(outfile,'//');
 writeln(outfile,'if_param(?)');
 writeln(outfile,'  Cls');
 writeln(outfile,'  echo ("'+progname+'");');
 writeln(outfile,'  echo ("================================================");');
 writeln(outfile,'  echo ("");');
 writeln(outfile,'  echo (" No help implemented yet...");');
 writeln(outfile,'  halt_Error ("");');
 writeln(outfile,'  halt;');
 writeln(outfile,'end;');
 writeln(outfile,'');
 writeln(outfile,'//');
 writeln(outfile,'// Show the title of the program');
 writeln(outfile,'//');
 writeln(outfile,'');
 writeln(outfile,'ClS;');
 writeln(outfile,'echo ("'+progname+'   initialising, please wait...");');
 writeln(outfile,'echo ("========================================================");');
 writeln(outfile,'');
 writeln(outfile,'//');
 writeln(outfile,'// Set default names');
 writeln(outfile,'//');
 writeln(outfile,'set_projectname("'+progname+'");     // Displayed in SFX-BIOS');
 writeln(outfile,'set_library("'+dfpname+'");          // used for reading data');
 writeln(outfile,'');
 writeln(outfile,'//');
 writeln(outfile,'// Bind some functions keys');
 writeln(outfile,'//');
 writeln(outfile,'bind ( DOWN,   "key_down");');
 writeln(outfile,'bind ( UP  ,   "key_up");');
 writeln(outfile,'bind ( LEFT,   "key_left");');
 writeln(outfile,'bind ( RIGHT,  "key_right");');
 writeln(outfile,'bind ( CTRL,   "key_fire1");');
 writeln(outfile,'bind ( ALT,    "key_fire2");');
 writeln(outfile,'bind ( SPACE,  "key_fire3");');
 writeln(outfile,'');
 writeln(outfile,'bind ( F1   ,  "halt");');
 writeln(outfile,'bind ( F10  ,  "Screenshot");');
 writeln(outfile,'bind ( F4   ,  "registers");');
 writeln(outfile,'');
 writeln(outfile,'//');
 writeln(outfile,'// Let''s check on some parameters');
 writeln(outfile,'//');
 writeln(outfile,'if_param(keyboard);');
 writeln(outfile,'   Force(keyboard);');
 writeln(outfile,'else');
 writeln(outfile,'   If_Param(joystick);');
 writeln(outfile,'        Force(Joystick);');
 writeln(outfile,'   end');
 writeln(outfile,'end');
 writeln(outfile,'');
 writeln(outfile,'//');
 writeln(outfile,'// See if we can load the config file');
 writeln(outfile,'//');
 writeln(outfile,'if_file (default.cfg)');
 writeln(outfile,'   load_cfg("default.cfg");');
 writeln(outfile,'   echo ("Settings loaded...")');
 writeln(outfile,'else');
 writeln(outfile,'   echo ("using internal settings")');
 writeln(outfile,'end');
 writeln(outfile,'');
 writeln(outfile,'{*');
 writeln(outfile,' Copyright '+copyname);
 writeln(outfile,'*}');
 close(outfile);

 {

    Save default values

 }
 assign(outfile,'creator.def'); rewrite(outfile);
      writeln(outfile,progname);
      writeln(outfile,dfpname);
      writeln(outfile,copyname);
      writeln(outfile,email);
      writeln(outfile,http);
 close(outfile);

END.
